# 33. Query: aan "SoilDataset" en type gerelateerde "Notes" ophalen

Haal alle "Notities" op die gerelateerd zijn aan de gedefinieerde "BodemDataset" en het gedefinieerde type.

BELANGRIJK: Het attribuut "comment" is AFGESCHAFT, gebruik in plaats daarvan "comments".

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getBoerderijen(farmUuids: ["89196056-61e5-4bce-b676-d488d611a829"]) {
    uuid
    velden(fieldUuids: ["586a2ef2-03e4-4715-846c-07a2f0cb3016"]) {
      uuid
      naam
      notities(soilDatasetUuid: "34162ba6-77b6-4d66-8935-b0941d60f7e1") {
        uuid
        updatedDate
        type
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-docs/overzicht-van-api-verzoeken-van-geopard/notities-pins/33.-query-aan-soildataset-en-type-gerelateerde-notes-ophalen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
